Subject: bug#74725: 31.0.50; image-scaling-factor is ignored by create-image

From: David Ponce <[email-masked]>
Date: Fri, 27 Dec 2024 17:11:30 +0100

On 2024-12-27 13:11, Alan Third wrote:
> On Sun, Dec 22, 2024 at 08:48:04AM +0200, Eli Zaretskii wrote:
>> Alan, could you please prepare a patch (for the master branch) that
>> records the scaling factor in the image cache and rejects a cache hit
>> with a different scaling factor?
> 
> Hi Eli, patch attached.
> 
> I named a new function image_compute_scale because most of the other
> functions in that file start image_, however I wasn't sure if I should
> name it compute_image_scale to mirror compute_image_size. Let me know
> if you think I should change it.

Hi Alan,

FYI, I applied your patch and it fixes the issue for me with the initial
examples I provided.

Many thanks Alan, and to all of you!